# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
# END SourceDeps(oneline)
Summary(ru): Корзинка паролей
%define fedora 18
# Prefered configure method
# if configure_method is 0 - using qmake or
#    configure_method is 1 - using cmake

%define configure_method 1

%if (0%{?fedora} == 0)
%define configure_method 0
%endif

%define qmake %{_bindir}/qmake-qt4

%if (0%{?fedora} == 0) || (0%{?rhel} == 0)
%define qmake %{_libdir}/qt4/bin/qmake -spec linux-g++
%endif

Name:			basketpwd
Version:		0.4.7
Release:		alt1_1
Summary:		Basket of passwords
Summary(ru):	Корзинка паролей

%if (0%{?fedora} >0) && (0%{?rhel} > 0)
Group:			File tools
%else
Group:			File tools
%endif

License:		GPLv2
Source0:		http://elemc.name/repos/sources/%{name}/%{name}-%{version}.tar.bz2

%if (0%{?fedora} > 0)
Source100:		README.RFRemix
%endif

URL:			http://github.com/elemc/basketpwd

BuildRequires:	libssl-devel
BuildRequires:	gcc-c++
BuildRequires:	desktop-file-utils

%if 0%{?rhel} == 6
BuildRequires:	 qt4-devel
%endif

%if (0%{?fedora} < 14) && (0%{?fedora} > 0)
BuildRequires:	 qt4-devel
%endif

%if 0%{?fedora} >= 14
BuildRequires:	 qt4-devel
%endif

%if %{defined suse_version}
BuildRequires:	 qt4-devel
%endif

%if 0%{?fedora} > 0
BuildRequires:	 ctest cmake
%endif
Source44: import.info

%description 
Basket of passwords
The program for storage and information management about passwords.

%description -l ru
Корзинка паролей
Программа для хранения и управления информацией о паролях.

%package devel
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contain header files for 
developing plugins that use Basket of passwords

%prep
%setup -q

%build

#README.RFRemix
%if (0%{?fedora} > 0)
cp %{SOURCE100} .
%endif

mkdir build-cmake
pushd build-cmake
%if 0%{?configure_method} > 0
%{fedora_cmake} ..
%else
%{qmake} %{_builddir}/%{name}-%{version}/basketpwd.pro
%endif
make %{?_smp_mflags}
popd

%install

pushd build-cmake
%if 0%{?configure_method} > 0
make install DESTDIR=$RPM_BUILD_ROOT
%else
make install INSTALL_ROOT=$RPM_BUILD_ROOT/usr
%endif
popd
desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications tools/%{name}.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%files
%{_bindir}/%{name}
%if 0%{?configure_method} > 0
%{_libdir}/libbasketlib.so
%else
%{_libdir}/libbasketpwd.so*
%endif
%{_datadir}/applications/%{name}.desktop
%_iconsdir/hicolor/*/*/*

%doc ChangeLog.txt README

%if (0%{?fedora} > 0)
%doc README.RFRemix
%endif

%files devel
%{_includedir}/*

%changelog
* Tue Dec 04 2012 Igor Vlasenko <viy@altlinux.ru> 0.4.7-alt1_1
- update to new release by fcimport

* Mon Aug 13 2012 Igor Vlasenko <viy@altlinux.ru> 0.4.5-alt1_3
- new release

